HomePhabricator

Upgrade QUnit from v1.23.1 to v2.4.0

Authored by Krinkle on Jul 17 2017, 8:21 PM.

Description

Upgrade QUnit from v1.23.1 to v2.4.0

Source
https://code.jquery.com/qunit/qunit-2.4.0.js
https://code.jquery.com/qunit/qunit-2.4.0.css

Changelog
https://github.com/qunitjs/qunit/blob/2.4.0/History.md

This release makes 'moduleStack' private, which means we can no
longer use it to detect nested modules. Change the method of
detection to be a local 'nested' variable that we toggle in
a wrapped version of any 'executeNow' callback, in which nesting
happens.

Bug: T170515
Change-Id: Ib4ed386990125a6c713cb4351408c8f7ae7c070f